### Method

# ICalGLib Property get_parent

since: 2.0

#### Declaration [src]

    ICalComponent*
    i_cal_property_get_parent (
      ICalProperty* property
    )

#### Description [src]

Gets the parent component of the property. Use with caution. When icalproperty is deallocated, it won’t deallocate its parent. However the `ICalComponent` object created using this method will be deallocated (if no reference in other places). So You need to make sure there is another reference except the one in `ICalProperty`.

Available since: 2.0

#### Return value

Type: `ICalComponent`

The parent `ICalComponent` of `ICalProperty`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.